Skip to main content
GET
/
customers
/
{id}
Retrieve a Customer
curl --request GET \
  --url https://sandbox.api.hixbe.com/payment/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Hixbe-Version: <hixbe-version>'
{
  "id": "cus_123",
  "email": "jsmith@example.com",
  "name": "<string>",
  "phone": "<string>",
  "metadata": {},
  "default_payment_method": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use your secret API key. Example: Authorization: Bearer sk_test_xxx

Headers

Hixbe-Version
string
default:2026-01-01
required

API version header. Use '2026-01-01' for the latest version.

Path Parameters

id
string
required

Response

Customer

id
string
required
Example:

"cus_123"

email
string<email>
name
string
phone
string
metadata
object
default_payment_method
string | null
created_at
string<date-time>